# -*- coding: cp1252 -*-
from visual import *

print ("- Segurando o boto direito do mouse, voc gira os eixos\n")
print ("- Segurando ambos os botes do mouse, voc d zoom")

##################################################################################################
#                                                                                               ##
#                  Este material faz eixos de coodernadas rotulados                             ##
#                                                                                               ##
L = 25         #ajusta o comprimento do eixo como for preciso                                   ##      
#                                                                                               ##
#                                                                                               ##
r = L*0.008                       # espessura dos eixos                                         ##
o=0.3                             # opacidade dos eixos (necessita VPython mais recente)        ##
coordcolor=color.yellow           # cor dos eixos                                               ##
#                                                                                               ##
#                                                                                               ##
#scene.background=color.white     # isto facilita a visualizacao quando projetado               ##
#scene.stereo = 'crosseyed'       # isto torna a imagem 3D quando voc cruza os olhos           ##
scene.width=scene.height=1000     # isto torna a janela um pouco maior                          ##
#                                                                                               ##
xeixo=cylinder(pos= vector(0,0,0),axis=vector(L,0,0),radius=r,opacity=o,color=coordcolor)       ## Cria um cilindro com um pequeno raio para representar o eixo x
xflecha=cone(pos= xeixo.axis,axis=vector(5*r,0,0),radius=2*r,opacity=o,color=coordcolor)        ## Cria um pequeno cone que representa a "ponta" do eixo x
#                                                                                               ##
yeixo=cylinder(pos=vector(0,0,0),axis=vector(0,L,0),radius=r,opacity=o,color=coordcolor)        ## Cria um cilindro com um pequeno raio para representar o eixo y
yflecha=cone(pos= yeixo.axis,axis=vector(0,5*r,0),radius=2*r,opacity=o,color=coordcolor)        ## Cria um pequeno cone que representa a "ponta" do eixo y
#                                                                                               ##
zeixo=cylinder(pos=vector(0,0,0),axis=vector(0,0,L),radius=r,opacity=o,color=coordcolor)        ## Cria um cilindro com um pequeno raio para representar o eixo z
zflecha=cone(pos= zeixo.axis,axis=vector(0,0,5*r),radius=2*r,opacity=o,color=coordcolor)        ## Cria um pequeno cone que representa a "ponta" do eixo z
#                                                                                               ##
label(pos=(xflecha.pos.x+xflecha.axis.x+3*r,0,0),text='x',box=0,opacity=0,color=coordcolor)     ## D nome ao eixo x
label(pos=(0,yflecha.pos.y+yflecha.axis.y+3*r,0),text='y',box=0,opacity=0,color=coordcolor)     ## D nome ao eixo y
label(pos=(0,0,zflecha.pos.z+zflecha.axis.z+3*r),text='z',box=0,opacity=0,color=coordcolor)     ## D nome ao eixo z
##################################################################################################
#scene.forward=(1.5, -0.2, -1)  #olhar em direcao a constelacao
scene.forward=(1.5, 0, 0)
scene.range = L*1.2           #amplia as coisas um pouco



# Terra em (0.0, 0.0, 0.0), (x, y, z)  = unidades: anos luz da Terra, raio = tamanho muito exagerado, para ajudar a visualizao

Terra = sphere(pos=vector(0,0,0),radius=1,material=materials.earth, axis=(1,0,0))
Terra.rotate(angle=pi, axis=(1,0,0), origin=Terra.pos)
Terra.rotate(angle=-pi/2, axis=(0,1,0), origin=Terra.pos) # Girando a Terra para que seja noite no Brasil

# Cada um dos comandos abaixo define uma estrela pertencente ao Cruzeiro do Sul; material=materials.emissive d a aparncia brilhante
Magalhanica = sphere(pos = vector(284.3, 37.2, 144.3), radius = 1, color = color.cyan, material=materials.emissive) # A Estrela de Magalhes vai com a cor diferente, para referncia
Mimosa = sphere(pos = vector(298.2, 73.0, 174.3), radius = 1, color = color.yellow, material=materials.emissive)
Rubidea = sphere(pos = vector(73.1, 11.9, 47.3), radius = 1, color = color.yellow, material=materials.emissive)
Palida = sphere(pos = vector(310.5, 24.1, 188.4), radius = 1, color = color.yellow, material=materials.emissive)
Intrometida = sphere(pos = vector(197.4, 21.2, 112.1), radius = 1, color = color.yellow, material=materials.emissive)

# "Ligue os pontos"

#Magalhanica_Rubidea = cylinder(pos = Magalhanica.pos, axis = Rubidea.pos - Magalhanica.pos, radius = 0.2, color = color.blue)
#Mimosa_Palida = cylinder(pos = Mimosa.pos, axis = Palida.pos - Mimosa.pos, radius = 0.2, color = color.blue)

